// 场景接口

import serviceAxios from "@/http/index";

// 根据用户场景查询展示点列表
export const getUserScenepot = (params) => {
  return serviceAxios({
    url: `/vrone/backend/spots/list/${params}`,
    method: "get",
  });
};

// 根据展厅id查询数据源列表
export const getDataSourceList = (params) => {
  return serviceAxios({
    url: `/vrone/backend/dataSources/getListByAppId/${params}`,
    method: "get",
  });
};

// 修改展示点信息
export const updateSpot = (data) => {
  return serviceAxios({
    url: "/vrone/backend/spots/editSpot",
    method: "patch",
    data: data,
  });
};

// 根据场景id和展示点id查询数据源
export const getDataSourceBySpot = (data) => {
  return serviceAxios({
    url: `/vrone/backend/spots/getDataSourceBySpot`,
    method: "post",
    data,
  });
};
